package ru.yandex.webmaster3.core.http.request;

import ru.yandex.webmaster3.core.data.WebmasterHostId;
import ru.yandex.webmaster3.core.http.RequestQueryProperty;

/**
 * @author aherman
 */
public interface WebmasterHostIdAware {
    @RequestQueryProperty
    void setHostId(String hostId);

    WebmasterHostId getHostId();

    void setConvertedHostId(WebmasterHostId hostId);

    String getHostIdString();
}
